/*
 * POP3Lite - 3lite POP3 Daemon
 * Copyright (C) 2000, 2001 Gergely Nagy <8@free.bsd.hu>
 *
 * This file is part of POP3Lite.
 *
 * POP3Lite is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * POP3Lite is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/*
 * $Id: main.h,v 1.7 2001/01/12 15:59:00 algernon Exp $
 */

#ifndef __MAIN_H__
#define __MAIN_H__ 1

#ifdef HAVE_CONFIG_H
#	include <config.h>
#endif /* HAVE_CONFIG_H */

#define SIGALRM_INTERVAL 10

#include <sys/param.h>
#include <glib.h>

/**
 * alarm_handlers: list of SIGALRM handlers
 *
 * This list consists of HandlerInfo structs, each describing
 * one SIGALRM handler. This is only useful for the master
 * handler.
 **/
GList *alarm_handlers;

#endif /* ! __MAIN_H__ */
