/*
 * POP3Lite - 3lite POP3 Daemon
 * Copyright (C) 2000, 2001 Gergely Nagy <8@free.bsd.hu>
 *
 * This file is part of POP3Lite.
 *
 * POP3Lite is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * POP3LIte is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 */

/*
 * $Id: standalone.h,v 1.4 2001/01/12 15:59:00 algernon Exp $
 */

/*
 * Original source: tcputils 0.6.2 by Thomas Bellman <Bellman@Lysator.LiU.Se>
 * tcputils is in the public domain.
 */

#ifndef __POP3LITE_STANDALONE_H__
#define __POP3LITE_STANDALONE_H__ 1

int get_inaddr ( struct sockaddr_in *addr,
		 const char *host,
		 const char *service,
		 const char *protocol );

int tcp_listen_2 ( const struct sockaddr_in *local );

int tcp_listen ( const char *interface, const char *port );

#endif /* ! __POP3LITE_STANDALONE_H__ */
